diff -ruN uppsrc/Core/ValueUtil.cpp uppsrc/Core/ValueUtil.cpp
--- uppsrc/Core/ValueUtil.cpp	2012-09-15 11:42:31 +0400
+++ uppsrc/Core/ValueUtil.cpp	2013-08-16 08:29:03 +0400
@@ -500,6 +500,23 @@
 	Clone().key.Set(i, k);
 }
 
+int ValueMap::RemoveKey(const Value& key)
+{
+	Data& d = Clone();
+	Vector<int> rk;
+	int q = d.key.Find(key);
+	while(q >= 0) {
+		rk.Add(q);
+		q = d.key.FindNext(q);
+	}
+	int count = rk.GetCount();
+	for(int i = count - 1; i >= 0; --i) {
+		d.key.Remove(rk[i]);
+		d.value.Remove(rk[i]);
+	}
+	return count;
+}
+
 void ValueMap::Remove(int i)
 {
 	Data& d = Clone();
diff -ruN uppsrc/Core/ValueUtil.h uppsrc/Core/ValueUtil.h
--- uppsrc/Core/ValueUtil.h	2012-12-03 09:33:12 +0400
+++ uppsrc/Core/ValueUtil.h	2013-08-16 08:27:14 +0400
@@ -323,6 +323,12 @@
 	void SetKey(int i, const char* key)             { SetKey(i, Value(key)); }
 	void SetKey(int i, int key)                     { SetKey(i, Value(key)); }
 	void SetKey(int i, Id key)                      { SetKey(i, Value(key.ToString())); }
+
+	int  RemoveKey(const Value& key);
+	int  RemoveKey(const String& key)               { return RemoveKey(Value(key)); }
+	int  RemoveKey(const char* key)                 { return RemoveKey(Value(key)); }
+	int  RemoveKey(int key)                         { return RemoveKey(Value(key)); }
+	int  RemoveKey(Id key)                          { return RemoveKey(Value(key.ToString())); }
 	void Remove(int i);
 
 	const Index<Value>& GetKeys() const             { return data->key; }
